/*
    Copyright (c) 2007 SIEGE Development Team
    All rights reserved.
    
    This file is part of libSIEGE.
    
    This software is copyrighted work licensed under the terms of the
    2-clause BSD license. Please consult the file "license.txt" for
    details.
    
    If you did not recieve the file with this program, please email
    Tim Chas <darkuranium@gmail.com>.
*/

#include "input.h"
#include "joystick.h"
#include "keyboard.h"
#include "mouse.h"

static PyMethodDef InputMethods[] = {
    {NULL, NULL, 0, NULL}
};

void sgpyInitInput(PyObject* parent)
{
    PyObject* input = Py_InitModule("siege.input", InputMethods);
    if(parent != NULL)
        PyModule_AddObject(parent, "input", input);

    //sgpyInitInputJoystick(input);
    sgpyInitInputKeyboard(input);
    sgpyInitInputMouse(input);
}
